Summary:	Subtitle editor
Name:		gaupol
Version:	1.2
Release:	2
License:	GPLv3+
Group:		Video
Url:		http://otsaloma.io/gaupol/
Source0:	https://github.com/otsaloma/gaupol/archive/%{name}-%{version}.tar.gz
Source1:	gaupol-1.2_ru.tar.gz
Patch0:		%{name}-1.2-update-mpv-syntax.patch
Patch1:		%{name}-1.2-fix-exception-in-recent-menu.patch
Patch2:		%{name}-1.2-fix-actions-on-playback-failure.patch
Patch3:		%{name}-1.2-put-xml-appdata-in-metainfo.patch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtkspell3 >= 3.0.0
BuildRequires:	intltool
BuildRequires:	iso-codes
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.12
BuildRequires:	pkgconfig(python3) >= 3.2
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	python3-aeidon
Requires:	python3-chardet
Requires:	python3-enchant >= 1.4.0
Requires:	python3-gstreamer1.0
Suggests:	gstreamer1.0-libav
Suggests:	gstreamer1.0-plugins-bad
Suggests:	gstreamer1.0-plugins-ugly
Suggests:	vlc
BuildArch:	noarch

%description
Editor for text-based subtitle files. It supports multiple subtitle file
formats and provides means of correcting texts and timing subtitles to match
video. The user interface is designed with attention to batch processing of
multiple documents and convenience of translating.

%files -f %{name}.lang
%doc AUTHORS.md COPYING NEWS.md README.md
%{_bindir}/%{name}
%{py3_puresitedir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%package -n python3-aeidon
Summary:	Python3 package for Reading, writing and manipulating text-based subtitle files
Group:		Development/Python
Provides:	aeidon = %{EVRD}

%description -n python3-aeidon
aeidon is a Python3 package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%files -n python3-aeidon
%doc README.aeidon.md
%{py3_puresitedir}/aeidon/

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

pushd po
tar -xvzf %{SOURCE1}
popd

%build
python3 setup.py build


%install
python3 setup.py install \
	--root=%{buildroot} \
	--no-compile

%find_lang %{name}


%changelog

* Thu Nov 16 2017 Victor Ryzhikh <victorr2007@yandex.ru> 1.2-2
- (2179be9) Updated Russian translations


